dpkg-deb(1)

NOME
dpkg-deb - strumento per la manipolazione di archivi di pacchetto Debian (.deb)

SINTASSI
dpkg-deb [opzione...] comando

DESCRIZIONE
dpkg-deb impacchetta, spacchetta e fornisce informazioni sugli archivi Debian.

Usare dpkg per installare e rimuovere pacchetti dal sistema.

Si può anche invocare dpkg-deb eseguendo dpkg con qualsiasi opzione si desidera passare a dpkg-deb. dpkg capirà che si desidera eseguire dpkg-deb e lo farà.

COMANDI

-b, --build directory [archivio|directory]
    Crea un archivio Debian a partire dall'albero del file system contenuto in directory. directory deve avere una sottodirectory DEBIAN contenente i file con le informazioni di controllo, come il file control stesso. Questa directory non sarà presente nell'archivio del file system del pacchetto binario, ma i file saranno invece messi nell'area delle informazioni di controllo del pacchetto binario. A meno che non sia stata specificata --nocheck, dpkg-deb legge DEBIAN/control e lo analizza. Controlla se vi sono problemi di sintassi o di altro tipo e visualizza il nome del pacchetto binario da compilare. dpkg-deb controlla anche i permessi degli script del manutentore e gli altri file nella directory delle informazioni di controllo DEBIAN. Se non viene specificato alcun archivio, allora dpkg-deb scrive il pacchetto nel file directory.deb. Se l'archivio da creare è già presente, esso verrà sovrascritto. Se il secondo argomento è una directory, allora dpkg-deb scrive nel file pacchetto_versione_arch.deb, o in pacchetto_versione.deb se non è presente alcun campo Architecture nel file control del pacchetto. Quando viene specificata una directory target, invece di un file, l'opzione --nocheck non può essere usata (dato che dpkg-deb necessita di leggere e analizzare il file control del pacchetto per determinare quale nome di file utilizzare).

-I, --info archivio [nomefile-di-controllo...]
    Fornisce informazioni su un archivio di pacchetto binario. Se non è specificato alcun nomefile-di-controllo, allora visualizza un riassunto dei contenuti del pacchetto oltre al suo file di controllo. Se è specificato almeno un nomefile-di-controllo allora dpkg-deb li visualizza nell'ordine in cui sono stati specificati; se alcuni non sono presenti visualizza per ciascuno un messaggio di errore sullo stderr e termina con il codice di stato 2.

-W, --show archivio
    Fornisce informazioni su un archivio di pacchetto binario nel formato specificato dell'argomento --showformat. Il formato predefinito visualizza in una riga il nome del pacchetto e la versione, separati da una tabulazione.

-f, --field archivio [nome-campo-di-controllo...]
    Estrae informazioni dal file di controllo di un archivio di pacchetto binario. Se non è specificato alcun nome-campo-di-controllo allora visualizza l'intero file di controllo. Se ne è specificato almeno uno, allora dpkg-deb visualizza il loro contenuto nell'ordine in cui sono presenti all'interno del file di controllo. Se viene specificato più di un nome-campo-di-controllo allora dpkg-deb anteporrà a ciascuno il suo nome di campo (e due punti e uno spazio). Non vengono riportati errori in caso di campi richiesti ma non trovati.

-c, --contents archivio
    Elenca il contenuto della porzione dell'archivio di pacchetto con l'albero del file system. Attualmente viene prodotto nel formato generato dall'elenco prolisso di tar.

-x, --extract archivio directory
    Estrae l'albero del file system da un archivio di pacchetto nella directory specificata. Notare che l'estrazione di un pacchetto nella directory root non produce un'installazione corretta! Usare dpkg per installare pacchetti. Se necessario verrà creata directory (ma non le directory sovrastanti) e i suoi permessi saranno modificati per corrispondere al contenuto del pacchetto.

-X, --vextract archivio directory
    Come --extract (-x) con --verbose (-v), che visualizza un elenco dei file processati mentre vengono estratti.

-R, --raw-extract archivio directory
    Estrae l'albero del file system da un archivio di pacchetto in una directory specificata, e i file con le informazioni di controllo in una sottodirectory DEBIAN della directory specificata. Se necessario verrà creata la directory di destinazione (ma non le directory sovrastanti).

--ctrl-tarfile archive
    Extracts the control data from a binary package and sends it to standard output in tar format (since dpkg 1.17.14). Together with tar(1) this can be used to extract a particular control file from a package archive. The input archive will always be processed sequentially.

--fsys-tarfile archivio
    Estrae l'albero del file system da un pacchetto binario e lo invia allo standard output in formato tar. Insieme a tar(1) può essere usata per estrarre un file specifico da un archivio di pacchetto. L'archivio in input verrà sempre elaborato in modo sequenziale.

-e, --control archivio [directory]
    Estrae i file con le informazioni di controllo da un archivio di pacchetto nella directory specificata. Se non viene specificata alcuna directory, allora sarà usata una sottodirectory DEBIAN nella directory attuale. Se necessario verrà creata la directory di destinazione (ma non le directory sovrastanti).

-?, --help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

OPZIONI

--showformat=formato
    Questa opzione viene usata per specificare il formato dell'output che verrà prodotto da --show. Il formato è una stringa che verrà prodotta in output per ciascun pacchetto elencato. La stringa può contenere riferimenti a qualsiasi campo di stato, usando la forma "${nome-campo}"; è possibile produrre facilmente un elenco dei campi validi usando -I sullo stesso pacchetto. Una spiegazione completa delle opzioni di formattazione (incluse sequenze di escape e tabulazioni per i campi) può essere trovata nella spiegazione dell'opzione --showformat in dpkg-query(1). Il valore predefinito per questo campo è "${Package}\t${Version}\n".

-zlivello-di-compressione
    Specifica quale livello di compressione usare nel backend di compressione quando si crea un pacchetto (il valore predefinito è 9 per gzip e bzip2, e 6 per xz e lxma). I valori accettati sono compresi tra 0 e 9: 0 corrisponde a nessuna compressione per gzip e a 1 per bzip2. Prima della versione 1.16.2 di dpkg, il livello 0 corrispondeva a nessuna compressione per tutti i compressori.

-Sstrategia-di-compressione
    Specifica quale strategia di compressione usare nel backend di compressione quando si crea un pacchetto (a partire da dpkg 1.16.2). I valori permessi sono none (a partire da dpkg 1.16.4), filtered, huffman, rle e fixed per gzip (a partire da dpkg 1.17.0) e extreme per xz.

-Ztipo-di-compressione
    Specify which compression type to use when building a package. Allowed values are gzip, xz, bzip2 (deprecated), lzma (deprecated), and none (default is xz).

--uniform-compression
    Specifica che devono essere usati gli stessi parametri di compressione per tutti i membri di un archivio (cioè control.tar e data.tar). Altrimenti solo l'elemento data.tar userà tali parametri. Gli unici tipi di compressione supportati che è permesso di usare in modo uniforme sono none, gzip e xz.

--deb-format=format
    Imposta la versione del formato dell'archivio usata nella creazione (a partire da dpkg 1.17.0). I valori permessi sono 2.0 per il formato nuovo e 0.939000 per quello vecchio (il predefinito è 2.0). Il vecchio formato degli archivi viene analizzato con più difficoltà dagli strumenti non Debian e ora è obsoleto; il suo unico utilizzo è quello di creare pacchetti che devono essere manipolati da versioni di dpkg precedenti alla 0.93.76 (settembre 1995) che è stata rilasciata solo come a.out per i386.

--new
    Questo è un alias obsoleto per --deb-format=2.0.

--old
    Questo è un alias obsoleto per --deb-format=0.939000.

--nocheck
    Impedisce i consueti controlli di dpkg-deb --build sui contenuti proposti per un archivio. In questo modo si può creare qualsiasi archivio si voglia, indipendentemente da quanto sia difettoso.

-v, --verbose
    Abilita l'output prolisso. Questa opzione attualmente ha effetto solo su --extract, facendola agire come --vextract.

-D, --debug
    Abilita l'output di debug. Non è molto interessante.

AMBIENTE

TMPDIR
    Se impostata, dpkg-deb la userà come directory nella quale creare i file e le directory temporanei.

NOTE
Non tentare di usare solamente dpkg-deb per installare software! Si deve usare dpkg stesso per assicurare che tutti i file siano messi nella posizione corretta, che siano eseguiti gli script del pacchetto e che vengano registrati il suo stato e i suoi contenuti.

BUG
dpkg-deb -I pacchetto1.deb pacchetto2.deb fa la cosa sbagliata. Non c'è autenticazione sui file .deb; di fatto non esiste nemmeno un codice di controllo chiaramente definito. (Strumenti di più alto livello come APT permettono di autenticare i pacchetti .deb recuperati da un dato repository, e la maggior parte dei pacchetti al giorno d'oggi fornisce un file di controllo md5sum generato da debian/rules; questo però non è direttamente supportato dagli strumenti di più basso livello.)

VEDERE ANCHE
deb(5), deb-control(5), dpkg(1), dselect(1).